XML::RegExp(3)

NAME
XML::RegExp - Regular expressions for XML tokens

SYNOPSIS
 use XML::RegExp;

 if ($my_name =~ /^$XML::RegExp::Name$/)
 {
   # $my_name is a valid XML 'Name'
 }

DESCRIPTION
This package contains regular expressions for the following XML tokens: BaseChar, Ideographic, Letter, Digit, Extender, CombiningChar, NameChar, EntityRef, CharRef, Reference, Name, NmToken, and AttValue.

The definitions of these tokens were taken from the XML spec (Extensible Markup Language 1.0) at <http://www.w3.org/TR/REC-xml>.

Also contains the regular expressions for the following tokens from the XML Namespaces spec at <http://www.w3.org/TR/REC-xml-names>: NCNameChar, NCName, QName, Prefix and LocalPart.

AUTHOR
Original Author is Enno Derksen <enno@att.com>

Please send bugs, comments and suggestions to T.J. Mather <tjmather@tjmather.com>